SimpleCrossOverFunction (BioJava-1.5-beta API)
Keywords: org.biojavax.ga.functions.SimpleCrossOverFunction class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.ga.functions
Class SimpleCrossOverFunction

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojavax.ga.functions.AbstractCrossOverFunction
              org.biojavax.ga.functions.SimpleCrossOverFunction

All Implemented Interfaces:
  Changeable, CrossOverFunction

    public class SimpleCrossOverFunction

extends AbstractCrossOverFunction

Simple Implementation of the `CrossOverFunction` interface

Since:
  1.5
Version:
  1.0
Author:
  Mark Schreiber

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojavax.ga.functions.CrossOverFunction
`CrossOverFunction.NoCross`

Field Summary

Fields inherited from interface org.biojavax.ga.functions.CrossOverFunction
`CROSS_PROB, DEFAULT_CROSS_PROB, DEFAULT_MAX_CROSS, MAX_CROSSES, NO_CROSS`

Constructor Summary
`SimpleCrossOverFunction()`

Method Summary
`GACrossResult` | `performCrossOver(SymbolList chromA, SymbolList chromB)` Performs a cross between the pair of chromosomes

Methods inherited from class org.biojavax.ga.functions.AbstractCrossOverFunction
`getCrossOverProbs, getMaxCrossOvers, setCrossOverProbs, setMaxCrossOvers`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, getChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Constructor Detail

### SimpleCrossOverFunction

    public SimpleCrossOverFunction()

Method Detail

### performCrossOver

    public GACrossResult performCrossOver(SymbolList chromA,
                                          SymbolList chromB)
                                   throws ChangeVetoException

  Description copied from interface: `CrossOverFunction`
  Performs a cross between the pair of chromosomes

  Parameters:
    `chromA` - The first chromosome in the cross
    `chromB` - The second chromosome in the cross
  Returns:
    A `GACross` that holds the results of the cross
  Throws:
    `ChangeVetoException` - if the chromosomes are unmodifiable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD